{% extends 'Default/index.html.twig' %}

{% block main_content %}
  <section class="container my-4">
    <div class="row">
      <div class="col-lg-12 px-lg-4 py-lg-2">
        <h1>{{ 'modifica' | trans() }} {% if item.name %} - {{ item.name }}{% endif %}</h1>
      </div>
    </div>
  </section>

  <section class="container my-4">
    <div class="row">
      <div class="col-lg-12 px-lg-4 py-lg-2">
        {{ form_start(form) }}
        {{ form_widget(form) }}
        <div class="mt-3 text-right">
          <a class="btn btn-outline-secondary" href="{{ path('admin_category_index') }}">{{ 'webhook.back_to_list' | trans() }}</a>
          <button name="save" type="submit" value="save" class="btn btn-primary ml-1">{{ 'salva'|trans }}</button>
        </div>
        {{ form_end(form) }}
      </div>
    </div>
  </section>

  {% if item.services.count > 0 %}
    <section class="container-fluid py-5 mt-5 bg-light">
      <div class="container">
        <div class="row">
          <div class="col-12">
            <div class="col-12">
              <h3>{{ 'categories.related_title' | trans() }}</h3>
              <table class="table table-sm table-condensed table-striped mt-3 bg-white">
                <thead>
                <tr>
                  <th class="w-75">{{ 'gruppo_di_servizi.nome' | trans() }}</th>
                  <th>{{ 'categories.related_type' | trans() }}</th>
                  <th aria-label="{{ 'no_value' | trans() }}" ></th>
                </tr>
                </thead>
                <tbody>
                {% for service in item.services %}
                  <tr>
                    <td>{{ service.name }}</td>
                    <td>{{ 'pratica.servizio' | trans }}</td>
                    <td class="text-right">
                      {{ include('Admin/table/_actionsDefault.html.twig', {'edit_route': 'admin_servizio_edit', 'delete_route': 'admin_category_remove_service', item: service}) }}
                    </td>
                  </tr>
                {% endfor %}
                {% for service in item.servicesGroup %}
                  <tr>
                    <td>{{ service.name }}</td>
                    <td>{{ 'gruppo_di_servizi.gruppo_di_servizi' | trans }}</td>
                    <td class="text-right">
                      {{ include('Admin/table/_actionsDefault.html.twig', {'edit_route': 'admin_service_group_edit', 'delete_route': 'admin_category_remove_service_group', item: service}) }}
                    </td>
                  </tr>
                {% endfor %}
                </tbody>
              </table>
            </div>
          </div>
        </div>
      </div>
    </section>
  {% endif %}
{% endblock %}
